View Issue Details

IDProjectCategoryView StatusLast Update
0025084LazarusIDEpublic2019-04-22 19:33
ReporterMartin Friebe Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformw32OSwin 
Product Version1.1.99 pre-release 
Target Version1.2.0 
Summary0025084: VIsual Form inheritance broken (regression)
DescriptionThis worked in 1.0.x

vista 32 bit

New project, drop a few components, create an visual inherited form: empty

Save, close load (a project with 1 form that has a few components).
create an visual inherited form: inherited, but not editable. Can not add or edit components.
TagsNo tags attached.
Fixed in Revision42945
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0025184 resolvedMattias Gaertner FPC inheriting forms in form designer doesn't work 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2013-09-25 11:20 Martin Friebe New Issue
2013-09-25 14:01 Mattias Gaertner Assigned To => Mattias Gaertner
2013-09-25 14:01 Mattias Gaertner Status new => assigned
2013-09-26 15:48 Mattias Gaertner Fixed in Revision => 42945
2013-09-26 15:48 Mattias Gaertner Status assigned => resolved
2013-09-26 15:48 Mattias Gaertner Resolution open => fixed
2013-10-13 09:41 Mattias Gaertner Relationship added has duplicate 0025184
2019-04-22 19:33 Martin Friebe Status resolved => closed